IF  NOT EXISTS (SELECT 1 FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[_documentosEnviar]') AND type in (N'P', N'PC'))
BEGIN

	execute('
		CREATE PROCEDURE [_documentosEnviar]
			@p_codSubtipoDocumento varchar(50),
			@p_codEstadoTipoDocumento varchar(50),
			@p_eid varchar(50),
			@p_idUsuario INT
		AS
		BEGIN

			SET NOCOUNT ON;

			--estructura documento
			select 
				id, 
				documento,  
				fecha_fh fecha, 
				prefijo + ''-'' + CONVERT(varchar(100), documento_numero) numero,
				ter_tercero_cliente_tercero_nit nit,
				ter_tercero_cliente_tercero tercero
			from view_doc_documento 
			where  
				doc_estadoTipoDocumento_estadoTipoDocumento_codigo = @p_codEstadoTipoDocumento and 
				doc_subtipoDocumento_subtipoDocumento_codigo = @p_codSubtipoDocumento

			--estructura itemDocumento
			select 
				view_doc_itemDocumento.id_documento,
				cat_catalogo_catalogo_codigo producto,
				doc_centroCosto_centroCosto_codigo centroCosto,
				gen_bodega_bodega_codigo bodega,
				cantidadEjecutado cantidad,
				valorUnitarioEjecutado valorUnitario,
				detalle descripcion,
				cat_listaPrecio_listaPrecio_codigo listaPrecio		
			from view_doc_itemDocumento
				inner join view_doc_documento on view_doc_documento.id = view_doc_itemDocumento.id_documento
			where 
				view_doc_documento.doc_estadoTipoDocumento_estadoTipoDocumento_codigo = @p_codEstadoTipoDocumento and
				view_doc_documento.doc_subtipoDocumento_subtipoDocumento_codigo = @p_codSubtipoDocumento
		
		END
	')

END